#include "../../src/Library/ItemLibrary.hpp"
#include "../Core.hpp"
#include "BaseLibrary.cpp"
using namespace CreatureLib::Library;

export_func const ItemLibrary* CreatureLib_ItemLibrary_Construct(size_t initialCapacity = 32) {
    return new ItemLibrary(initialCapacity);
};

export_func void CreatureLib_ItemLibrary_Destruct(const ItemLibrary* p) { delete p; }

BASELIBRARY(CreatureLib_ItemLibrary, ItemLibrary, Item);