#include "../../src/Library/TalentLibrary.hpp"
#include "../Core.hpp"
#include "BaseLibrary.cpp"

using namespace CreatureLib::Library;

export_func u8 CreatureLib_TalentLibrary_Construct(TalentLibrary*& library, size_t initialCapacity = 32) {
    Try(library = new TalentLibrary(initialCapacity);)
};

export_func void CreatureLib_TalentLibrary_Destruct(const TalentLibrary* p) { delete p; }

BASELIBRARY(CreatureLib_TalentLibrary, TalentLibrary, Talent);