#ifndef CREATURELIB_TURNEVENTS_HPP
#define CREATURELIB_TURNEVENTS_HPP
#include "EventData.hpp"

namespace CreatureLib::Battling {
    class TurnStartEvent final : public EventData {
    public:
        TurnStartEvent() {}
        EventDataKind GetKind() const noexcept override { return EventDataKind ::TurnStart; }
    };

    class TurnEndEvent final : public EventData {
    public:
        TurnEndEvent() {}
        EventDataKind GetKind() const noexcept override { return EventDataKind ::TurnEnd; }
    };

}

#endif // CREATURELIB_TURNEVENTS_HPP
