#ifndef CREATURELIB_EXPERIENCELIBRARY_HPP
#define CREATURELIB_EXPERIENCELIBRARY_HPP

#include <Arbutils/Memory/Memory.hpp>
#include <unordered_set>

namespace CreatureLib::Battling {
    class Creature;

    class ExperienceLibrary {
    public:
        virtual ~ExperienceLibrary() = default;

        virtual void HandleExperienceGain(Creature* non_null faintedMon,
                                          const std::unordered_set<ArbUt::BorrowedPtr<Creature>>& opponents) const;
    };
}

#endif // CREATURELIB_EXPERIENCELIBRARY_HPP
