#ifndef CREATURELIB_MISCLIBRARY_HPP
#define CREATURELIB_MISCLIBRARY_HPP

#include "../Models/CreatureIndex.hpp"
#include "../Models/ExecutingAttack.hpp"
#include "../TurnChoices/FleeTurnChoice.hpp"

namespace CreatureLib::Battling {
    class MiscLibrary {
    public:
        virtual ~MiscLibrary() = default;
        virtual bool IsCritical(ExecutingAttack* non_null attack, Creature* non_null target, u8 hit) const;
        virtual bool CanFlee(FleeTurnChoice* non_null switchChoice) const;
        virtual BaseTurnChoice* non_null ReplacementAttack(Creature* non_null user, CreatureIndex target) const;
    };
}

#endif // CREATURELIB_MISCLIBRARY_HPP
