#include "../../src/Library/LibrarySettings.hpp"
#include "../Core.hpp"
using namespace CreatureLib::Library;

export_func const LibrarySettings* CreatureLib_LibrarySettings_Construct(u8 maximalLevel, u8 maximalMoves) {
    return new LibrarySettings(maximalLevel, maximalMoves);
}

export_func void CreatureLib_LibrarySettings_Destruct(const LibrarySettings* p) { delete p; }

SIMPLE_GET_FUNC(LibrarySettings, GetMaximalLevel, level_int_t);
SIMPLE_GET_FUNC(LibrarySettings, GetMaximalAttacks, u8);