#ifndef CREATURELIB_DISPLAYTEXTEVENT_HPP
#define CREATURELIB_DISPLAYTEXTEVENT_HPP
#include "EventData.hpp"

namespace CreatureLib::Battling {
    class DisplayTextEvent final : public EventData {
        const ArbUt::StringView _text;

    public:
        DisplayTextEvent(const ArbUt::StringView& text) noexcept : _text(text) {}
        EventDataKind GetKind() const noexcept override { return EventDataKind ::DisplayText; }
        const ArbUt::StringView& GetText() const noexcept { return _text; }
    };
}

#endif // CREATURELIB_DISPLAYTEXTEVENT_HPP
