#ifndef FAILEVENT_HPP
#define FAILEVENT_HPP
#include "EventData.hpp"

namespace CreatureLib::Battling {
    class FailEvent final : public EventData {
        ArbUt::BorrowedPtr<Creature> _creature;

    public:
        FailEvent(ArbUt::BorrowedPtr<Creature> c) noexcept : _creature(c) {}
        EventDataKind GetKind() const noexcept override { return EventDataKind ::Fail; }
        const ArbUt::BorrowedPtr<Creature>& GetCreature() const noexcept { return _creature; }
    };
}

#endif // FAILEVENT_HPP
