#ifndef CREATURELIB_FAINTEVENT_HPP
#define CREATURELIB_FAINTEVENT_HPP
#include "EventData.hpp"

namespace CreatureLib::Battling {
    class FaintEvent final : public EventData {
        ArbUt::BorrowedPtr<Creature> _creature;

    public:
        FaintEvent(ArbUt::BorrowedPtr<Creature> c) noexcept : _creature(c) {}
        EventDataKind GetKind() const noexcept override { return EventDataKind ::Faint; }
        const ArbUt::BorrowedPtr<Creature>& GetCreature() const noexcept { return _creature; }
    };
}

#endif // CREATURELIB_FAINTEVENT_HPP
