#ifndef CREATURELIB_DEFINES_HPP
#define CREATURELIB_DEFINES_HPP
#include <Arbutils/Defines.hpp>

#if LEVEL_U8
using level_int_t = u8;
#elif LEVEL_U16
using level_int_t = u16;
#elif LEVEL_U32
using level_int_t = u32;
#elif LEVEL_U64
using level_int_t = u64;
#else
#warning Level size was not specified, falling back to uint8_t
using level_int_t = u8;
#endif

#endif // CREATURELIB_DEFINES_HPP
