#include "AttackData.hpp"

CreatureLib::Library::AttackData::AttackData(const ArbUt::StringView& name, u8 type,
                                             CreatureLib::Library::AttackCategory category, u8 power, u8 accuracy,
                                             u8 baseUsage, CreatureLib::Library::AttackTarget target, i8 priority,
                                             const SecondaryEffect* nullable effect, std::unordered_set<u32> flags)
    : _name(name), _type(type), _category(category), _basePower(power), _accuracy(accuracy), _baseUsages(baseUsage),
      _target(target), _priority(priority), _effect(effect), _flags(std::move(flags)) {}
