#ifndef CREATURELIB_CREATUREEXCEPTION_HPP
#define CREATURELIB_CREATUREEXCEPTION_HPP

#define try_creature(data, msg)                                                                                        \
    try {                                                                                                              \
        data;                                                                                                          \
    } catch (const ArbUt::Exception& e) {                                                                              \
        throw e;                                                                                                       \
    } catch (const std::exception& e) {                                                                                \
        THROW(msg, ": '", e.what(), "'.");                                                                             \
    }
#endif // CREATURELIB_CREATUREEXCEPTION_HPP
