#ifndef CREATURELIB_GROWTHRATE_HPP
#define CREATURELIB_GROWTHRATE_HPP

#include <cstdint>
#include "../../Defines.hpp"

namespace CreatureLib::Library {
    class GrowthRate {
    public:
        virtual ~GrowthRate() = default;

        [[nodiscard]] virtual level_int_t CalculateLevel(u32 experience) const = 0;
        [[nodiscard]] virtual u32 CalculateExperience(level_int_t level) const = 0;
    };
}

#endif // CREATURELIB_GROWTHRATE_HPP
