

#ifndef CREATURELIB_TESTLIBRARY_HPP
#define CREATURELIB_TESTLIBRARY_HPP

#include "../../src/Battling/Library/BattleLibrary.hpp"

using namespace CreatureLib::Library;
using namespace CreatureLib::Battling;

class TestLibrary {
    static BattleLibrary* _library;

public:
    static SpeciesLibrary* BuildSpeciesLibrary(const TalentLibrary*);
    static AttackLibrary* BuildAttackLibrary();
    static ItemLibrary* BuildItemLibrary();
    static GrowthRateLibrary* BuildGrowthRateLibrary();
    static TypeLibrary* BuildTypeLibrary();
    static TalentLibrary* BuildTalentLibrary();

    static BattleLibrary* Get();
};

#endif // CREATURELIB_TESTLIBRARY_HPP
